Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractOrderingList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.AbstractSelectManyComponent
                              org.richfaces.component.AbstractOrderingComponent
                                  org.richfaces.component.AbstractOrderingList

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, SelectItemsInterface

Direct Known Subclasses:
  UIOrderingList

    public abstract class AbstractOrderingList

extends AbstractOrderingComponent
implements SelectItemsInterface

The <rich:orderingList> is a component for ordering items in a list (client-side).

Author:
  Brian Leathem

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractOrderingList()`

Method Summary
`abstract String` | `getCaption()` The text placed above the list of items
`abstract Object` | `getItemLabel()` Label to be displayed to the user for the corresponding option.
`abstract Object` | `getItemValue()` Value to be returned to the server if the corresponding option is selected by the user.
`Object` | `getItemValues()`
`abstract String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element .
`abstract String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element .
`abstract String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element .
`abstract String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element .
`abstract String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element .
`abstract String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element .
`abstract String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element .
`abstract String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element .
`abstract String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element .
`abstract String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element .

Methods inherited from class org.richfaces.component.AbstractOrderingComponent
`compareValues, getDownBottomText, getDownText, getUpText, getUpTopText, isShowButton`

Methods inherited from class org.richfaces.component.AbstractSelectManyComponent
`columns, getActiveClass, getChangedClass, getCollectionType, getColumnClasses, getDisabledClass, getHeaderClass, getItemClass, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getSelectItemClass, getStyle, getStyleClass, getVar, isDisabled, validateValue`

Methods inherited from class javax.faces.component.UISelectMany
`getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.util.SelectItemsInterface
`getVar`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractOrderingList

    public AbstractOrderingList()

Method Detail

### getItemValues

    public Object getItemValues()

  Specified by:
    `getItemValues` in interface `SelectItemsInterface`

### getItemValue

    public abstract Object getItemValue()

  Value to be returned to the server if the corresponding option is selected by the user.

  Specified by:
    `getItemValue` in interface `SelectItemsInterface`

### getItemLabel

    public abstract Object getItemLabel()

  Label to be displayed to the user for the corresponding option.

  Specified by:
    `getItemLabel` in interface `SelectItemsInterface`

### getCaption

    public abstract String getCaption()

  The text placed above the list of items

### getOnlistclick

    public abstract String getOnlistclick()

  Javascript code executed when a pointer button is clicked over the list element .

### getOnlistdblclick

    public abstract String getOnlistdblclick()

  Javascript code executed when a pointer button is double clicked over the list element .

### getOnlistmousedown

    public abstract String getOnlistmousedown()

  Javascript code executed when a pointer button is pressed down over the list element .

### getOnlistmouseup

    public abstract String getOnlistmouseup()

  Javascript code executed when a pointer button is released over the list element .

### getOnlistmouseover

    public abstract String getOnlistmouseover()

  Javascript code executed when a pointer button is moved onto the list element .

### getOnlistmousemove

    public abstract String getOnlistmousemove()

  Javascript code executed when a pointer button is moved within the list element .

### getOnlistmouseout

    public abstract String getOnlistmouseout()

  Javascript code executed when a pointer button is moved away from the list element .

### getOnlistkeypress

    public abstract String getOnlistkeypress()

  Javascript code executed when a key is pressed and released over the list element .

### getOnlistkeydown

    public abstract String getOnlistkeydown()

  Javascript code executed when a key is pressed down over the list element .

### getOnlistkeyup

    public abstract String getOnlistkeyup()

  Javascript code executed when a key is released over the list element .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.